# Uses of Class
javassist.bytecode.SignatureAttribute.ObjectType

Packages that use SignatureAttribute.ObjectType
Package
Description
javassist.bytecode
Bytecode-level API.

## Uses of SignatureAttribute.ObjectType in javassist.bytecode

Subclasses of SignatureAttribute.ObjectType in javassist.bytecode
Modifier and Type
Class
Description
`static class`
`SignatureAttribute.ArrayType`
Array types.
`static class`
`SignatureAttribute.ClassType`
Class types.
`static class`
`SignatureAttribute.NestedClassType`
Nested class types.
`static class`
`SignatureAttribute.TypeVariable`
Type variables.
Methods in javassist.bytecode that return SignatureAttribute.ObjectType
Modifier and Type
Method
Description
`SignatureAttribute.ObjectType`
SignatureAttribute.TypeParameter.`getClassBound()`
Returns the class bound of this parameter.
`SignatureAttribute.ObjectType[]`
SignatureAttribute.MethodSignature.`getExceptionTypes()`
Returns the types of the exceptions that may be thrown.
`SignatureAttribute.ObjectType[]`
SignatureAttribute.TypeParameter.`getInterfaceBound()`
Returns the interface bound of this parameter.
`SignatureAttribute.ObjectType`
SignatureAttribute.TypeArgument.`getType()`
Returns the type represented by this argument if the argument is not a wildcard type.
`static SignatureAttribute.ObjectType`
SignatureAttribute.`toFieldSignature(String sig)`
Parses the given signature string as a field type signature.
Methods in javassist.bytecode with parameters of type SignatureAttribute.ObjectType
Modifier and Type
Method
Description
`static SignatureAttribute.TypeArgument`
SignatureAttribute.TypeArgument.`subclassOf(SignatureAttribute.ObjectType t)`
A factory method constructing a `TypeArgument` with an upper bound.
`static SignatureAttribute.TypeArgument`
SignatureAttribute.TypeArgument.`superOf(SignatureAttribute.ObjectType t)`
A factory method constructing a `TypeArgument` with an lower bound.
Constructors in javassist.bytecode with parameters of type SignatureAttribute.ObjectType
Modifier
Constructor
Description
``
`MethodSignature(SignatureAttribute.TypeParameter[] tp, SignatureAttribute.Type[] params, SignatureAttribute.Type ret, SignatureAttribute.ObjectType[] ex)`
Constructs a method type signature.
``
`TypeArgument(SignatureAttribute.ObjectType t)`
Constructs a `TypeArgument`.
``
`TypeParameter(String name, SignatureAttribute.ObjectType superClass, SignatureAttribute.ObjectType[] superInterfaces)`
Constructs a `TypeParameter` representing a type parametre like `<T extends ...`